Getting "openUserWin is not defined" JS error with 1.5.0.3, but not 1.0.6

I use a terrible web-based bugtracking product called 'Extraview' for 
tracking software development defects (bugs).  It has an 'Edit Defect' form 
where I can update a bug's comments / notes / build / assigned-to / etc. 
This form works fine in Firefox 1.0.6 and IE6, but since I've upgraded 
recently to Firefox 1.5.0.3, it does not work at all.




There are buttons along the top, such as 'update', 'clone', 'interest list', 
'history', and 'close', which invoke a JavaScript function "openUserWin" to 
carry out their operations.  However, whenever I click on any such button, 
they do nothing, and my Mozilla JavaScript console tells me:



Error: openUserWin is not defined

Source File: javascript:openUserWin(this, 'p_cc_email', 0)

Line: 1



I've looked through the page source for 'Edit Defect', and see no definition 
of this function.  However, the page source does appear to include two 
external javascript files that I can't figure out how to view:



<SCRIPT type="text/javascript" language="JavaScript" 
src="/evj/javascript/AddEdit.js"></script>

<SCRIPT type="text/javascript" language="JavaScript" 
src="/evj/javascript/user_javascript/UserJavaScript.js"></script>



Surely these external .js files have defined the openUserWin function 
somewhere (since these same pages work fine in IE, and in previous versions 
of FireFox such as 1.0.6, to which I have downgraded as a workaround to this 
problem).  I suspect there is either nonstandard JavaScript usage therein, 
and Firefox 1.5.0.3 is now more sensitive to this than its predecessors; or, 
FireFox 1.5.0.3 has introduced a bug in its JavaScript parsing that is 
causing it never to reach this function definition, or perhaps to 
misinterpret it.  This is as far as I took the issue before seeking help.



I am also logging a bug with the Extraview folks.



Is there a better way for me to report this bug to the Mozilla Firefox 
folks, so that I can provide them more information to help get this analyzed 
and maybe even fixed?  Or is this newsgroup the best way to do it?  Thanks 
very much for your time!



-Jeff


0
Jeff
5/17/2006 4:54:34 PM
mozilla.support.firefox 24319 articles. 10 followers. Post Follow

0 Replies
888 Views

Similar Articles

[PageSpeed] 28

Reply:

Similar Artilces:

ff1.5.0.4 user.js needs fix to "stick" user_pref("network.proxy.ssl", "127.0.0.1");
Intro: When i install a new version of ff, I manually set options for one basic profile. Then I copy certain prefs into a user.js that is copied into all profiles. The proxomitron settings are Connection settings in the user.js As stored in prefs.js of previous version of FF (1.5.0.2) profiles, these are the "correct" connection settings: user_pref("network.proxy.http", "127.0.0.1"); user_pref("network.proxy.http_port", 8080); user_pref("network.proxy.ssl", "127.0.0.1"); user_pref("network.proxy.ssl_port", 8...

kdesvn 1.0.5 or 1.0.6 for KDE 3.5 subversion 1.6.3?
Installed: Code: -------------------- Subversion 1.6.3-1.1 KDE 3.5.10 -------------------- I upgraded subversion to 1.6.3, and wanted to make sure I had the latest kdesvn for KDE 3.5 and subversion 1.6.3. I went to kdesvn support site but it wasn't clear if 1.0.5 was sufficient for subversion 1.6, so I downloaded kdesvn 1.0.6 and built it myself (previously 1.0.5 had come from opensuse). Everything looked okay, but... When I click on the Help | Info about kdesvn part I see: Code: -------------------- Built with subversion library 1.4.4 Running ...

Cannot use persona add-on in 3.6 Beta i. I get this error message:"Personas 1.3.1 could not be installed because it is not compatible with Firefox 3.6b1".
Name: Jonathan Sprague Email: sprag80atgmaildotcom Product: Firefox Release Candidate Summary: Cannot use persona add-on in 3.6 Beta i. I get this error message:"Personas 1.3.1 could not be installed because it is not compatible with Firefox 3.6b1". Comments: I have Windows 7. Personas 1.3.1.does not add-on to my system. Browser Details: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2b1) Gecko/20091029 Firefox/3.6b1 (.NET CLR 3.5.30729) From URL: http://hendrix.mozilla.org/ Note to readers: Hendrix gives no expectation of a response to this feedback bu...

New Firefox 3.0.1, error console, How do I get rid of Firefox 3.0.1
Name: Robert Schlentz Email: approachatminndotnet Product: Firefox Summary: New Firefox 3.0.1, error console, How do I get rid of Firefox 3.0.1 Comments: I just finished loading Firefox 3.0.1 The error console had these warnings Each of the errors occurred several times. Warning: Unknown property 'align'. Declaration dropped. Source File: http://www.tc-ieee.org/ Line: 0 Warning: Expected declaration but found '*'. Skipped to next declaration. Source File: http://www.mozilla.com/includes/yui/2.5.1/reset-fonts-grids/reset-fonts-grids.css Line: 7 Warning: ...

selecting ? selecting of 1., 2. , 3., 4., 5., 6. is slow (1-3 second) then selecting of 7.,8.,9. go on is so fast (0.1 second or more fast).. how can i get fast for selecting of 1., 2. , 3., 4., 5., 6
hello friends selecting of 1., 2. , 3., 4.(sometime even 5., 6.) is slow (1-3 second) then selecting of 7.,8.,9.(sometimes 5., 6.,) go on is so fast (0.1 second or more fast).. how can i get fast for selecting of 1., 2. , 3., 4., 5., 6. is slow ?? recordcount is almost 1.050.000.. i do selecting 1.2.3. go on same page with treeview1.. treeview1 in masterpage.master.. gridview1 and datasource1 are in pagelist.aspx (it connets datasource1)..productnumber is primarykey for index.. kategori, kategori1 and kategori2, price, datemin are index from keys/index in table1 (right clicking menu)....

Firefox 1.5.0.2 / 1.5.0.3 build errors
I've been trying all day to build Firefox 1.5.0.2 and 1.5.0.3 under Windows XP Pro, using a fresh install of cygwin, and MS Visual Studio 2003 (i.e., VC7.1). I've followed all the steps on the web site, I've set my environment variables appropriately, and no matter what I do, I end up with an error in c:\mozilla\dist\include\string\nsString.h(55): error C2006: '#include' : expected a filename, found 'identifier'. When I look at the line in question, it's "# include NEW_H"--which is obviously invalid. The only reference I've fo...

window plug-in "error code = 10054" (PB 6.5.1, IE4.0 sp1, WebSite 1.1f, )
Sorry I didn't find ancwer for my question in the forum. I try us standard window plug-in in single PC configuration: - PowerBuilder 6.5.1 application object: plugin_test_app simplest child window: w_test PBD-file: plugin_test.pbd (location in WebSite\htdocs) - Internet Explorer 4.0 SP1 with Windows 98 - Webserver WebSite 1.1f (window plug-in specifyed as MIME type as ordered in documentation: .pbd->application/vnd.powerbuilder6) - nppba60.dll is in Internet Explorer\Plugins - deployment DDLs is in system path html-document "pbwpin.htm" (loc...

window plug-in "error code = 10054" (PB 6.5.1, IE4.0 sp1, WebSite 1.1f, )
Sorry I didn't find ancwer for my question in the forum. I try us standard window plug-in in single PC configuration: - PowerBuilder 6.5.1 application object: plugin_test_app simplest child window: w_test PBD-file: plugin_test.pbd (location in WebSite\htdocs) - Internet Explorer 4.0 SP1 with Windows 98 - Webserver WebSite 1.1f (window plug-in specifyed as MIME type as ordered in documentation: .pbd->application/vnd.powerbuilder6) - nppba60.dll is in Internet Explorer\Plugins - deployment DDLs is in system path html-document "pbwpin.htm" (locat...

Firefox 1.5.0.9, Firefox 2.0.0.1 and Thunderbird 1.5.0.9 Security & Stability Updates
As part of Mozilla Corporation�s ongoing stability and security update process, Firefox 1.5.0.9, Firefox 2.0.0.1 and Thunderbird 1.5.0.9 are now available for Windows, Mac, and Linux for free download from getfirefox.com (http://www.getfirefox.com) & getthunderbird.com (http://www.getthunderbird.com). We strongly recommend that all Firefox users upgrade to this latest release. This update is available immediately in 41 languages including Spanish, Japanese, Arabic, Hungarian and more. Note: Firefox 1.5.0.x will be maintained with security and stability updates until Apr...

Firefox 1.5.0.9, Firefox 2.0.0.1 and Thunderbird 1.5.0.9 Security & Stability Updates
As part of Mozilla Corporation�s ongoing stability and security update process, Firefox 1.5.0.9, Firefox 2.0.0.1 and Thunderbird 1.5.0.9 are now available for Windows, Mac, and Linux for free download from getfirefox.com (http://www.getfirefox.com) & getthunderbird.com (http://www.getthunderbird.com). We strongly recommend that all Firefox users upgrade to this latest release. This update is available immediately in 41 languages including Spanish, Japanese, Arabic, Hungarian and more. Note: Firefox 1.5.0.x will be maintained with security and stability updates until Apr...

Firefox 1.5.0.1 "Mail" button broken
Just updated from 1.5 to 1.5.0.1 and when I press the "Mail" button, then select "Read Mail", nothing happens (Thunderbird doesn't open like it's supposed to). Anybody else having this problem? -- Regards, John Corliss On 2/4/2006 11:12 AM Pacific Time, John Corliss wrote thusly: > Just updated from 1.5 to 1.5.0.1 and when I press the "Mail" button, > then select "Read Mail", nothing happens (Thunderbird doesn't open like > it's supposed to). Anybody else having this problem? > John, I had the problem...

superreview granted: [Bug 330367] Firefox 1.5/2.0 crashes for onblur focusing an "overflow" div that also gets "diplay:none" set at the same time while checking other data [@ PresShell::ScrollFrameInt
Boris Zbarsky <bzbarsky@mit.edu> has granted superreview: Bug 330367: Firefox 1.5/2.0 crashes for onblur focusing an "overflow" div that also gets "diplay:none" set at the same time while checking other data [@ PresShell::ScrollFrameIntoView] https://bugzilla.mozilla.org/show_bug.cgi?id=330367 Attachment 246874: Patch rev. 1 https://bugzilla.mozilla.org/attachment.cgi?id=246874&action=edit ------- Additional Comments from Boris Zbarsky <bzbarsky@mit.edu> Looks good. r+sr=bzbarsky ...

superreview requested: [Bug 330367] Firefox 1.5/2.0 crashes for onblur focusing an "overflow" div that also gets "diplay:none" set at the same time while checking other data [@ PresShell::ScrollFrameI
Mats Palmgren <mats.palmgren@bredband.net> has asked Boris Zbarsky <bzbarsky@mit.edu> for superreview: Bug 330367: Firefox 1.5/2.0 crashes for onblur focusing an "overflow" div that also gets "diplay:none" set at the same time while checking other data [@ PresShell::ScrollFrameIntoView] https://bugzilla.mozilla.org/show_bug.cgi?id=330367 Attachment 246874: Patch rev. 1 https://bugzilla.mozilla.org/attachment.cgi?id=246874&action=edit ------- Additional Comments from Mats Palmgren <mats.palmgren@bredband.net> Risk free crash fix. Also fixes...

1.5.0.0.3 vs 1.5.0.0.4
I have had numerous difficulties with FF 1.5.0.0.4, in particular, some sites often just hang when I click on links. A particularly bad site is Dell http://www.dell.com/, which - when I try to configure a computer - gets all kinds of "waiting for dell" status bar messages. I tried it with a clean profile, to no avail. It works flawlessly with IE. I downloaded fresh copies of 1.5.0.3 and 1.5.0.4 with the intent of uninstalling the latter and then trying the former. *The uninstall process hung*. So I installed 1.5.0.3 on top of 1.5.0.4. The Dell site now works fl...

Web resources about - Getting "openUserWin is not defined" JS error with 1.5.0.3, but not 1.0.6 - mozilla.support.firefox

Resources last updated: 1/11/2016 11:39:09 AM